// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file PetscSolverFetiTimings.h */


#ifndef AMDIS_PETSC_SOLVER_FETI_TIMINGS_H
#define AMDIS_PETSC_SOLVER_FETI_TIMINGS_H

namespace AMDiS {

  class FetiTimings {
  private:
    FetiTimings() {}

  public:
    static void reset();

  public:
    static double fetiSolve;
    static double fetiSolve01;
    static double fetiSolve02;

    static double fetiPreconditioner;
  };

}

#endif
